window.addEventListener("load", function() {

  jQuery(document).ready(function($) {
    
    var resultsDiv = $("#clinic-search-results");

    clinicSearchAjax = function(ajaxParams, yscroll) {
      
      window.scrollBy(0, yscroll);

      /*      api calls uses one of the two options
       http://bedsider.org/clinics/search?zip=90210&limit=10&within=4
       http://bedsider.org/clinics/search?lat=37.0625&lng=-95.6770&limit=10&within=2
       */

      ajaxParams.limit = 7;
      ajaxParams.action = 'get_bedsider_json';
    
   

      // @todo: try scrollspy OR scroll to bottom of page.
      //$('[data-spy-"scroll"]').each(function () {
        //  var $spy = $(this).scrollspy('refresh')
      //})
      //$('#div').scroll();
      //$("#div").animate({ scrollTop: $(".middle").offset().top
       // }, 2000);
       
      $(resultsDiv).empty().append("<p><h1>Loading...</p></h1>"); //clears out previous search & shows loading msg.
	  $(resultsDiv).empty().append("<p><h1>Loading...</p></h1>");

      $.ajax({
        url : ajaxUrl,
        method : "POST",
        data : ajaxParams,
        dataType : "json",
      }).done(function(jsonFromBedsider) {

        // @todo check that jsonFromBedsider.clinics exists and has at least 1 element;
        //var clinicDetails = {}; // Empty Object
        // if(isEmpty(clinicDetails)) {  // Object is empty (Would return true in this example)
        //  } else  alert ("Nothing found. Try another search."); // Object is NOT empty
        //}        
        // use if statement then change resultsDiv to "no matches, search again"; else proceed with following (i.e. next loop);
        // to make sure bedsider is returning clinic objects - not just that no clinics were found.
        // see if jquery way to check if something is an object and that object has a property.
        
        $(resultsDiv).empty(); //clears out previous sessions results
        
        $.each(jsonFromBedsider.clinics, function() {
        
          console.log(this); // this is where the object "names" are defined.
        
          var clinicDetails = "";
        
          clinicDetails += "<div class='bedsider-search-result- item'>"; 
          clinicDetails += "<h2 class='bedsider-search-result-item- title'>"+this.formatted_name+"</h2><br />"; 
          clinicDetails += "<p>";
          clinicDetails += "<span class='glyphicon glyphicon-phone '></span>" +"<a href='tel:'"+this.formatted_phone+" class='bedsider-search-result-item-tel' class='bedsider-search-result-item-tel'>"+this.formatted_phone+"</a><br />";
          clinicDetails += "<span class='glyphicon glyphicon-map-marker '></span>" +"<a href='https://www.google.com/maps/place/"+this.full_address.replace(/ /g, '+')+"' class='bedsider-search-result-item-address'>"+this.full_address+"</a><br />";

          //clinicDetails += "<link rel="stylesheet" href='url:'"+this.full_address+" class='bedsider-search-result-item-address'>"+this.full_address+" </a><br / >" link rel="external";
          clinicDetails += "<span class='glyphicon glyphicon-globe ' class='bedsider-search-result-item-url'></span>" +"<a href="+this.formatted_url+">Link to their website</a><br />";
          clinicDetails += "</p>";
          
          // clinic features listed here;
          clinicDetails += "<ul>";
          
          $.each(this.features, function() {
		    clinicDetails += "<li>"+this+"</li>";
          });
          
          clinicDetails += "<ul>";
          clinicDetails += "</div>";
        
          $(resultsDiv).append(clinicDetails);//replace and clear before append (with clinicDetails)
          
        });
        
      }).fail (function (XHR, status, error) {
        $(resultsDiv).empty().append("<p>FAIL.</p><p>My bad.  Maybe try again in a bit.  Did you lose service?");
        //console.log(error);
         //changes resultsDiv to say there was an error 
      });

    };


    $("#zip-code-form").submit(function(e) {
      //  when the form is submitted, this function will run
      //console.log(e);  //  uncommment to see details of the event object created by the form submission
      e.preventDefault();
      // this keeps the form from loading a new page
      var zipVal = $("#zipcodeinput").val();
      var radiusVal = $("input[name=radius]:checked").val(); 
      // @todo check that both have something - if not there, give popup saying "Yo! I need both a zipcode and a radius to do your search."
      // @todo if zipVal and radiusVal= number else proceed with the code.
      if ( zipVal && radiusVal ) {
      // @ todo - may want to confirm these are numeric vallues greater than 0 and 5 digits;
        var urlparams = {
          zip : zipVal,
          within : radiusVal
        };
        clinicSearchAjax(urlparams, 50);
      } else {
        alert("I need both a zipcode and a radius for your search");
      }
    });

    $("#find-nearby-button").click(function(e) {
      //console.log(e);  //  uncommment to see details of the event object created by the form submission
      e.preventDefault();
      //  and this keeps the form from loading a new page
      //console.log("clicked!");

      if ("geolocation" in navigator) {
        /* geolocation is available */
        var options = {
          timeout : 5000,
          maximumAge : 0
        };

        function success(pos) {
          // var crd = pos.coords;
          // var latVal = crd.latitude;
          // var lngVal = crd.longitude;
          // var locparams = {
          // lat : latVal,
          // lng : lngVal,
          // within : 2
          // };
          //  above code does the same, just broken into smaller steps
          clinicSearchAjax({
            lat : pos.coords.latitude,
            lng : pos.coords.longitude,
            within : 2
          },100);
          //http://bedsider.org/clinics/search?lat=37.0625&lng=-95.6770&limit=10&within=2;
        };

        function error(err) {
          alert("I can't figure out your location. Please type in your own zip code.");
        };

        navigator.geolocation.getCurrentPosition(success, error, options);

      } else {
        alert("I can't figure out your location. Please type in your own zip code.");
        /* geolocation IS NOT available */
      }
    

    });

  
  	$("#short-list-button").click(function(e) {
      //console.log(e);  //  uncommment to see details of the event object created by the form submission
      e.preventDefault();
      window.scrollBy(0, 250);
      //  and this keeps the form from loading a new page
      //console.log("clicked!");
      
   	  $(resultsDiv).empty().append(shortlisthtmlcode);
   	});
  });
}, false);

var shortlisthtmlcode = '<p style="text-align: center;"><strong>Here’s a short list of where to go in NYC for reproductive and sexual health.<br /></strong></p><p style="text-align: center;">There are lots of other options. These are just a few places where we think you might have a good experience. If we’re wrong, please send us a note using the form at the bottom of the page.</p></div><p style="text-align: center;"><div class="container-fluid"><hr /><div class="section bg-gray" style="text-align: center;"><p style="text-align: center;"><strong>Brooklyn</strong></p><p style="text-align: center;"><strong>HEAT Program</strong></p><p style="text-align: center;">For appointments call <a href="tel:1-718-467-4446">718-467-4446</a></p><p style="text-align: center;">Free and Confidential reproductive &amp; sexual health services ages 13-24 years old</p><p style="text-align: center;">http://www.heatprogram.org/</p><p style="text-align: center;">470 Clarkson Ave Brooklyn, NY 11203</p><p style="text-align: center;"><strong>Planned Parenthood Brooklyn</strong></p><p style="text-align: center;">For appointments: <a href="tel:1-718-467-4446">1.800.230.PLAN</a>, Monday-Friday, 8am-6pm</p><p style="text-align: center;">http://www.plannedparenthood.org/nyc/</p><p style="text-align: center;">44 Court Street 6th Floor, Brooklyn, NY</p><hr /><hr /><p style="text-align: center;"><strong>Manhattan</strong></p><p style="text-align: center;"><strong>Callen Lourde | Health Outreach to Teens (HOTT)</strong></p><p>LGBTQ adolescent and young adult medical and mental health program targeting homeless youth.</p><p style="text-align: center;">356 West 18th St. New York, NY 10011</p><p style="text-align: center;">212-271-7200</p><p>http://callen-lorde.org/our-services/hott/</p><p style="text-align: center;"><strong>The Door<br /></strong></p><p style="text-align: center;">Serves young people up to 21 years old</p><p style="text-align: center;">555 Broome Street in Manhattan and soon in the Bronx</p><p style="text-align: center;">C/E to Spring Street, A/C/E to Canal Street or 1 to Canal Street, or by taking the M21 bus to Varick and Canal.</p><p style="text-align: center;"><a href="tel:1-212-941-9090">212.941.9090</a></p><p style="text-align: center;">Text your sexual health questions to: “the door” (66746) and get your answers when you need them in a confidential way.</p><p style="text-align: center;">http://www.door.org/programs-services/sexual-health-birth-control</p><p style="text-align: center;"><strong>Mt. Sinai Adolescent Health Center</strong></p><p style="text-align: center;">Serves young people aged 10 to 22. Delivering primary health care;</p><p style="text-align: center;">counseling, support, mental health and family therapy;</p><p style="text-align: center;">sexual and reproductive health; dental care; nutrition, fitness and wellness programs</p><p style="text-align: center;">320 E. 94th Street, New York, NY</p><p>http://www.mountsinai.org/patient-care/service-areas/adolescent-health-center</p><p>To make an appointment for Health Services or for Mental Health &amp; Counseling:<br />Tel: 212-423-3000</p></div><div class="section bg-gray" style="text-align: center;"><hr /><p style="text-align: center;"><strong>Planned Parenthood in NYC for all ages</strong></p><p style="text-align: center;">For appointments: <a href="tel:1-718-467-4446">1.800.230.PLAN</a>, Monday-Friday, 8am-6pm</p><p style="text-align: center;">http://www.plannedparenthood.org/nyc/</p><p style="text-align: center;"><strong>Planned Parenthood Manhattan</strong> 26 Bleecker St New York, NY</p><p style="text-align: center;"><strong>Planned Parenthood Bronx</strong> 349 E 149th Street, 2nd Floor Bronx, NY 10451</p><hr /><hr /><p style="text-align: center;"><strong>Easy to Understand &amp; Trusted Web Sites</strong></p><p style="text-align: center;"><a href="http://goaskalice.columbia.edu/" class="btn btn-success btn-med"><strong> Ask Alice</strong> </a><p style="text-align: center;"><a href="http://sexetc.org/" class="btn btn-success btn-med"><strong> Sex ETC. </strong> </a><p style="text-align: center;"><a href="http://www.plannedparenthood.org/info-for-teens/" class="btn btn-success btn-med"> <strong>Planned Parenthood</strong> </a><p style="text-align: center;"><a href="http://www.nyc.gov/html/doh/downloads/pdf/std/teens-clinics.pdf" class="btn btn-success btn-med"> <strong>NYC Department of Health</strong> </a><p style="text-align: center;"><a href="http://www.findnyccondoms.com/" class="btn btn-success"> <strong>NYC Condom Finder</strong> </a><p style="text-align: center;"> <button href="http://www.peerhealthexchange.org/teen/"><strong>Peer Health Exchange</strong> </button></p>';