<?php

add_action( 'wp_enqueue_scripts',
  function () {
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );
    wp_enqueue_script( 'ppfa-script', get_stylesheet_directory_uri() . '/ppfa.js' ); 
    wp_enqueue_script( 'clinic_search-script', get_stylesheet_directory_uri() . '/clinic_search.js', array( 'jquery' ) ); 
  }
);

add_action( 'wp_ajax_get_bedsider_json', 'get_bedsider_json' );
add_action( 'wp_ajax_nopriv_get_bedsider_json', 'get_bedsider_json' );

function get_bedsider_json() {

  $limit    = (!empty($_POST['limit'])  && is_numeric($_POST['limit']))  ? (int)$_POST['limit']  : false;
  $within   = (!empty($_POST['within']) && is_numeric($_POST['within'])) ? (int)$_POST['within'] : false;
  
  if ($limit && $within) {
    $zip    = (!empty($_POST['zip'])    && is_numeric($_POST['zip']))    ? (int)$_POST['zip']    : false;
    if ($zip) {
      $request =   "http://bedsider.org/clinics/search?zip=$zip&limit=$limit&within=$within";
    } else {
      $lat  = (isset($_POST['lat'])     && is_numeric($_POST['lat']))    ? (float)$_POST['lat']  : false;
      $lng  = (isset($_POST['lng'])     && is_numeric($_POST['lng']))    ? (float)$_POST['lng']  : false;
      if (-90 <= $lat && 90 >= $lat && -180 <= $lng && 180 >= $lng) {
        $request = "http://bedsider.org/clinics/search?lat=$lat&lng=$lng&limit=$limit&within=$within";
      } 
    }
  }
  
  if (!empty($request)) {
    $response = file_get_contents($request);
  }

  if (!empty($response)) {
    die($response);
  }
  
  die('{"message":"Incomplete parameters"}'); //  as of 2015 apr 30, this is Bedsider's error message for response it can't handle
  
}



